/* cks_html.c - HTML formatting source file
 * Copyright (C) 2001-2005 CryptNET, V. Alex Brennen (VAB)
 *
 * This file is part of the CryptNET OpenPGP Public Key Server (cks).
 *
 * cks is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * cks is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "cks_html.h"


int send_header(int c, unsigned char *key_id)
{
	unsigned char buff[162];
	int result = 0;


	memset(buff,0x00,162);
	write_line_to_socket(c, "HTTP/1.0 200 OK\n");
	write_line_to_socket(c, "Content-type: text/html\n\n");
	write_line_to_socket(c, "<html><head>\n");
	snprintf(buff,161,_("<title>CryptNET Public Key Server -- Get ``0x%s''</title><p>\n"), key_id);
	write_line_to_socket(c,"</head><body>\n");
	write_line_to_socket(c, buff);
	snprintf(buff,161,_("<h1>CryptNET Public Key Server -- Get ``0x%s''</h1><p>\n"), key_id);
	write_line_to_socket(c, buff);
	write_line_to_socket(c, "</p><pre>\n");
	write_line_to_socket(c, "\n");

	return result;
}


int send_footer(int c)
{
	int rslt = 0;


	rslt = write_line_to_socket(c, "\n</pre>\n</body></html>\n");

	return rslt;
}
